Open Lighting Architecture: ola::rdm::RDMMessagePrinter Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ola::rdm::RDMMessagePrinter Class Reference

## Detailed Description

A RDM specific printer that transforms field names

Inheritance diagram for ola::rdm::RDMMessagePrinter:

## Public Member Functions
| RDMMessagePrinter (unsigned int initial_ident=0)
Public Member Functions inherited from ola::messaging::GenericMessagePrinter
| GenericMessagePrinter (unsigned int indent_size=DEFAULT_INDENT, unsigned int initial_indent=0)
virtual void | Visit (const BoolMessageField *)
virtual void | Visit (const IPV4MessageField *)
virtual void | Visit (const MACMessageField *)
virtual void | Visit (const UIDMessageField *)
virtual void | Visit (const StringMessageField *)
virtual void | Visit (const BasicMessageField< uint8_t > *)
virtual void | Visit (const BasicMessageField< uint16_t > *)
virtual void | Visit (const BasicMessageField< uint32_t > *)
virtual void | Visit (const BasicMessageField< int8_t > *)
virtual void | Visit (const BasicMessageField< int16_t > *)
virtual void | Visit (const BasicMessageField< int32_t > *)
virtual void | Visit (const GroupMessageField *)
virtual void | PostVisit (const GroupMessageField *)
Public Member Functions inherited from ola::messaging::MessagePrinter
std::string | AsString (const class Message *message)

## Protected Member Functions
std::string | TransformLabel (const std::string &label)
Protected Member Functions inherited from ola::messaging::MessagePrinter
std::ostringstream & | Stream ()
virtual void | PostStringHook ()

## Additional Inherited Members
Static Public Attributes inherited from ola::messaging::GenericMessagePrinter
static const unsigned int | DEFAULT_INDENT = 2

## Member Function Documentation

## ◆ TransformLabel()

std::string ola::rdm::RDMMessagePrinter::TransformLabel | ( | const std::string & | label | ) |
| inlineprotectedvirtual

Reimplemented from ola::messaging::MessagePrinter.

The documentation for this class was generated from the following file:

- include/ola/rdm/RDMMessagePrinters.h